## python-griffe 0.22.0

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash

DUTY = $(shell [ -n "${VIRTUAL_ENV}" ] || echo pdm run) duty

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_serve_args = host port
release_args = version
test_args = match
profile_args = async browser

BASIC_DUTIES = \
	changelog \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	docs-regen \
	docs-serve \
	format \
	release \
	profile

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@bash scripts/multirun.sh duty check-quality check-types check-docs
	@$(DUTY) check-dependencies

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@bash scripts/multirun.sh duty $@ $(call args,$@)

=== debian/changelog ===
python-griffe (0.22.0-2) unstable; urgency=medium

  * Team upload.
  * [36a9234] Drop patch to switch from pdm-pep517 to poetry.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Aug 2022 15:18:40 -0400

python-griffe (0.22.0-1) unstable; urgency=medium

  * [8dd8725] New upstream version 0.22.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Jul 2022 08:10:19 +0200

python-griffe (0.21.0-1) unstable; urgency=medium

  * [5c1405b] New upstream version 0.21.0
  * [643a103] d/rules: Ignore some added git tests
  * [2f10565] autopkgtest: Ignore git tests here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Jun 2022 09:36:02 +0200

python-griffe (0.20.0-1) unstable; urgency=medium

  * [56f1303] New upstream version 0.20.0
  * [66d6a65] d/rules: Remove PYBUILD_AFTER_INSTALL variable
  * [42112e0] autopkgtest: Adding first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 06 Jun 2022 09:32:26 +0200

python-griffe (0.19.3-1) unstable; urgency=medium

  * [07402f2] New upstream version 0.19.3
  * [84b63a7] d/rules: Enable running the internal tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 May 2022 20:03:52 +0200

python-griffe (0.19.1-1) unstable; urgency=medium

  * [1dd881e] New upstream version 0.19.1
  * [a940da1] First and basic Debianization
    (Closes: #1011192)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 May 2022 13:57:32 +0200

=== debian/control ===
Source: python-griffe
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-pdm-pep517,
 pybuild-plugin-pyproject,
 python3-pytest,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-griffe
Vcs-Git: https://salsa.debian.org/python-team/packages/python-griffe.git
Homepage: https://github.com/mkdocstrings/griffe

Package: python3-griffe
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Signatures for entire Python programs
 Extract the structure, the frame, the skeleton of your project,
 to generate API documentation or find breaking changes in your API.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=griffe
export PYBUILD_SYSTEM=pyproject
export PYBUILD_TEST_ARGS=-k '\
not test_load_git \
and not test_load_git_errors \
'
export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-griffe 0.25.0

=== debian/changelog ===
python-griffe (0.25.0-1) unstable; urgency=medium

  * [a637278] New upstream version 0.25.0
  * [b6cd3a1] d/rules: Add two more tests to ignore
  * [ad43fce] autopkgtest: Ignore the two tests here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 13 Dec 2022 21:58:49 +0100

python-griffe (0.24.1-1) unstable; urgency=medium

  * [00c61fa] New upstream version 0.24.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 25 Nov 2022 21:51:30 +0100

python-griffe (0.24.0-1) unstable; urgency=medium

  * [4434481] New upstream version 0.24.0
  * [92bdae7] d/control: Add new required package to Build-Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Nov 2022 19:56:07 +0100

python-griffe (0.23.0-1) unstable; urgency=medium

  * [928de28] New upstream version 0.23.0
  * [ecd6b41] d/{control,rules}: Move over to dh-sequence-python3
  * [cb6de00] d/rules: Remove unneeded license files after install

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Oct 2022 15:55:40 +0100

python-griffe (0.22.2-1) unstable; urgency=medium

  * [a0f9d38] New upstream version 0.22.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 28 Sep 2022 17:32:51 +0200

python-griffe (0.22.1-1) unstable; urgency=medium

  * [0272ea0] New upstream version 0.22.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 12 Sep 2022 19:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-colorama,
  python3-pdm-pep517,
- pybuild-plugin-pyproject,
  python3-pytest,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=griffe
export PYBUILD_SYSTEM=pyproject
export PYBUILD_TEST_ARGS=-k '\
not test_editables_file_handling \
and not test_load_git \
and not test_load_git_errors \
and not test_setuptools_file_handling \
'
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/griffe-*.dist-info/licenses
export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

## python-griffe 0.25.5

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 .PHONY: check
 check:
-	@bash scripts/multirun.sh duty check-quality check-types check-docs
+	@pdm multirun duty check-quality check-types check-docs
 	@$(DUTY) check-dependencies
 
 .PHONY: $(BASIC_DUTIES)
@@ -52,4 +52,4 @@
 
 .PHONY: $(QUALITY_DUTIES)
 $(QUALITY_DUTIES):
-	@bash scripts/multirun.sh duty $@ $(call args,$@)
+	@pdm multirun duty $@ $(call args,$@)

=== debian/changelog ===
python-griffe (0.25.5-1) unstable; urgency=medium

  * [f5655ef] New upstream version 0.25.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Feb 2023 11:15:32 +0100

python-griffe (0.25.4-1) unstable; urgency=medium

  * [213af51] New upstream version 0.25.4
  * [5d7ec97] d/copyright: Update year data
  * [80590b6] d/rules: Add test_setuptools_file_handling back to tests
  * [cdf8c0b] autopkgtest: Re-add test_setuptools_file_handling here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Jan 2023 16:42:14 +0100

python-griffe (0.25.3-1) unstable; urgency=medium

  * [ac86768] New upstream version 0.25.3
  * [a000248] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [9bf7f41] d/control: Add BuildProfileSpecs
    (Closes: #1027661)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 05 Jan 2023 22:37:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
- dh-sequence-python3,
  pybuild-plugin-pyproject,
- python3-colorama,
+ python3-colorama <!nocheck>,
  python3-pdm-pep517,
- python3-pytest,
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-griffe
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-griffe.git
 Homepage: https://github.com/mkdocstrings/griffe

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 not test_editables_file_handling \
 and not test_load_git \
 and not test_load_git_errors \
-and not test_setuptools_file_handling \
 '
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/griffe-*.dist-info/licenses
 export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

=== debian/watch ===
# watch file for python-griffe

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mkdocstrings/griffe.git \
      refs/tags/@ANY_VERSION@

## python-griffe 0.27.1

=== debian/changelog ===
python-griffe (0.27.1-1) experimental; urgency=medium

  * [5e8c5c5] d/gbp.conf: Add some file types to exclude
  * [df21065] New upstream version 0.27.1
  * [e36488a] d/control: Adjust/add build depending packages
  * [1ccab54] d/rules: Use PDM_BUILD_SCM_VERSION for version inflating
  * [678e91c] d/rules: Use PYBUILD_{AFTER,BEFORE}_TEST
  * [d64a5e0] autopkgtest: Tune the test preparation

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 28 Apr 2023 19:52:44 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Build-Depends-Indep:
  pybuild-plugin-pyproject,
  python3-colorama <!nocheck>,
- python3-pdm-pep517,
+ python3-jsonschema <!nocheck>,
+ python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,10 @@
 and not test_load_git \
 and not test_load_git_errors \
 '
+export PYBUILD_BEFORE_TEST=cp -r {dir}/logo.svg {dir}/docs {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/logo.svg {build_dir}/docs
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/griffe-*.dist-info/licenses
-export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
+export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ --buildsystem=pybuild

## python-griffe 0.29.1

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash
DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_args = host port
release_args = version
test_args = match
fuzz_args = level pdm profile browser

BASIC_DUTIES = \
	changelog \
	check-api \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	release \
	fuzz

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock -G:all

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@pdm multirun duty check-quality check-types check-docs
	@$(DUTY) check-dependencies check-api

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@pdm multirun duty $@ $(call args,$@)

## python-griffe 0.32.3

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 .DEFAULT_GOAL := help
 SHELL := bash
 DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty
+export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11 3.12
 
 args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
 check_quality_args = files
 docs_args = host port
 release_args = version
 test_args = match
-fuzz_args = level pdm profile browser
+fuzz_args = profile browser
 
 BASIC_DUTIES = \
 	changelog \

=== debian/changelog ===
python-griffe (0.32.3-1) unstable; urgency=medium

  * [6f36e26] New upstream version 0.32.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jul 2023 08:05:04 +0200

python-griffe (0.32.1-1) unstable; urgency=medium

  * [7fd7bb1] New upstream version 0.32.1
  * [13c3103] d/control: Add package git to Build-Depends
  * [53e7ae4] autopkgtests: Add the git package to Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Jul 2023 18:52:41 +0200

python-griffe (0.29.1-1) unstable; urgency=medium

  * [25869ba] New upstream version 0.29.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jun 2023 17:30:37 +0200

python-griffe (0.29.0-3) unstable; urgency=medium

  * [3bf04a1] d/t/control: Add missing Depends python3-jsonschema

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Jun 2023 08:02:54 +0200

python-griffe (0.29.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jun 2023 13:01:50 +0200

python-griffe (0.29.0-1) experimental; urgency=medium

  * [e6d2de3] New upstream version 0.29.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 28 May 2023 17:00:21 +0200

python-griffe (0.28.1-1) experimental; urgency=medium

  * [c767623] New upstream version 0.28.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 May 2023 09:30:45 +0200

## python-griffe 0.35.2

=== debian/changelog ===
python-griffe (0.35.2-1) unstable; urgency=medium

  * [615969e] d/watch: Correct misspelled word compression
  * [ddbd43b] New upstream version 0.35.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Aug 2023 19:22:46 +0530

python-griffe (0.35.1-1) unstable; urgency=medium

  * [8e6fdb8] d/watch: Enforce usage of *.tar.gz tarball
  * [87d8131] New upstream version 0.35.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Aug 2023 19:04:39 +0530

python-griffe (0.33.0-1) unstable; urgency=medium

  * [5cec86e] New upstream version 0.33.0
  * [c47adf9] d/rules: Add target override_dh_clean
    (Closes: #1047221)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 19 Aug 2023 07:07:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,7 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .pdm-build

## python-griffe 0.40.0

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,14 @@
 SHELL := bash
 DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty
 export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11 3.12
+export PDM_MULTIRUN_USE_VENVS ?= $(if $(shell pdm config python.use_venv | grep True),1,0)
 
 args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
 check_quality_args = files
 docs_args = host port
 release_args = version
 test_args = match
-fuzz_args = profile browser
+fuzz_args = seeds min_seed max_seed size
 
 BASIC_DUTIES = \
 	changelog \
@@ -20,7 +21,8 @@
 	docs-deploy \
 	format \
 	release \
-	fuzz
+	fuzz \
+	vscode
 
 QUALITY_DUTIES = \
 	check-quality \

=== debian/changelog ===
python-griffe (0.40.0-1) unstable; urgency=medium

  * [670946f] New upstream version 0.40.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Feb 2024 23:31:19 +0100

python-griffe (0.39.1-1) unstable; urgency=medium

  * [5f38a9d] New upstream version 0.39.1
  * [d08409f] d/copyright: Update year data
  * [78755cf] d/rules: Ignore one more upstream test
  * [8cdfd8e] autopkgtest: Ignore and not test_meson_python_file_handling

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Jan 2024 08:31:27 +0100

python-griffe (0.38.0-1) unstable; urgency=medium

  * [a312023] New upstream version 0.38.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 Nov 2023 12:39:17 +0000

python-griffe (0.36.9-1) unstable; urgency=medium

  * [d2e9d6b] New upstream version 0.36.9

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 Nov 2023 06:44:04 +0100

python-griffe (0.36.2-1) unstable; urgency=medium

  * [c04805c] New upstream version 0.36.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Sep 2023 19:18:00 +0530

python-griffe (0.36.0-1) unstable; urgency=medium

  * [252dd81] New upstream version 0.36.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 04 Sep 2023 16:57:13 +0530

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ git <!nocheck>,
  python3-all,
 Build-Depends-Indep:
  pybuild-plugin-pyproject,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 not test_editables_file_handling \
 and not test_load_git \
 and not test_load_git_errors \
+and not test_meson_python_file_handling \
 '
 export PYBUILD_BEFORE_TEST=cp -r {dir}/logo.svg {dir}/docs {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/logo.svg {build_dir}/docs

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 git,
 python3-all,
 python3-jsonschema,
 python3-pytest,
 @,
Restrictions: allow-stderr

## python-griffe 0.44.0

=== debian/changelog ===
python-griffe (0.44.0-1) unstable; urgency=medium

  * [149a132] New upstream version 0.44.0
  * [8a80095] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Apr 2024 08:13:34 +0200

python-griffe (0.42.1-1) unstable; urgency=medium

  * [e35925a] New upstream version 0.42.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Mar 2024 17:32:25 +0100

python-griffe (0.42.0-1) unstable; urgency=medium

  * [c60a6f2] New upstream version 0.42.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Mar 2024 17:12:09 +0100

python-griffe (0.41.3-1) unstable; urgency=medium

  * [b29ce12] New upstream version 0.41.3
  * [c72df55] d/copyright: Update email contact data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Mar 2024 20:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-griffe
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-griffe.git
 Homepage: https://github.com/mkdocstrings/griffe

## python-griffe 0.47.0

=== debian/changelog ===
python-griffe (0.47.0-1) unstable; urgency=medium

  * [13fb59f] New upstream version 0.47.0
  * [178666f] d/control: Add myself to Uploaders

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Mon, 24 Jun 2024 00:36:11 +0530

python-griffe (0.45.2-1) unstable; urgency=medium

  * [89a0eeb] New upstream version 0.45.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 May 2024 18:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
+ Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends:

## python-griffe 0.48.0

=== debian/changelog ===
python-griffe (0.48.0-1) unstable; urgency=medium

  * [10ec5bf] New upstream version 0.48.0
  * [8119dbd] d/control: Add new dependency mkdocstrings
  * [e0c5f9c] autopkgtest: Add package mkdocstrings

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Wed, 24 Jul 2024 20:25:25 +0530

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  git <!nocheck>,
  python3-all,
 Build-Depends-Indep:
+ mkdocstrings <!nocheck>,
  pybuild-plugin-pyproject,
  python3-colorama <!nocheck>,
  python3-jsonschema <!nocheck>,

## python-griffe 1.5.1

=== debian/changelog ===
python-griffe (1.5.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.5.1
  * Patch-out generation of python3-astunparse dependency to ease removal.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 00:14:41 +0200

python-griffe (1.3.1-1) unstable; urgency=medium

  * [70b78c3] New upstream version 1.3.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Sep 2024 09:30:52 +0200

python-griffe (1.2.0-1) unstable; urgency=medium

  * [6b32549] New upstream version 1.2.0
    (Closes: #1078990)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Wed, 28 Aug 2024 05:41:28 +0530

## python-griffe 1.5.4

=== debian/changelog ===
python-griffe (1.5.4-1) unstable; urgency=medium

  * [ba5d71e] New upstream version 1.5.4
  * [20c9114] Rebuild patch queue from patch-queue branch
    Renamed patch:
    remove-astunparse.patch
    -> pyproject.toml-Remove-astunparse-dependency.patch
  * [2b8bc81] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Jan 2025 07:53:49 +0200

## python-griffe 1.5.5

=== debian/changelog ===
python-griffe (1.5.5-1) unstable; urgency=medium

  * [3d7b995] New upstream version 1.5.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Jan 2025 06:54:33 +0200

=== debian/control ===
--- 
+++ 
@@ -31,5 +31,3 @@
 Description: Signatures for entire Python programs
  Extract the structure, the frame, the skeleton of your project,
  to generate API documentation or find breaking changes in your API.
- .
- This is the Python 3 version of the package.

## python-griffe 1.6.0

=== debian/changelog ===
python-griffe (1.6.0-1) unstable; urgency=medium

  * [7885790] New upstream version 1.6.0

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 06 Mar 2025 19:14:12 +0530

python-griffe (1.5.7-1) unstable; urgency=medium

  * [f206ac2] New upstream version 1.5.7
  * [1ba4abd] d/control: B-D on mkdocstrings >= 0.28
  * [261623b] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Mar 2025 09:52:06 +0200

## python-griffe 1.6.2

=== debian/changelog ===
python-griffe (1.6.2-1) unstable; urgency=medium

  * [249ab26] New upstream version 1.6.2
  * [1766810] Rebuild patch queue from patch-queue branch
    Updated patch:
    pyproject.toml-Remove-astunparse-dependency.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Mar 2025 14:22:24 +0200

## python-griffe 1.7.2

=== debian/changelog ===
python-griffe (1.7.2-1) unstable; urgency=medium

  * [bba7ad3] New upstream version 1.7.2
  * [94298fb] Drop patch queue

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Fri, 11 Apr 2025 18:03:56 +0530

## python-griffe 1.7.3

=== debian/changelog ===
python-griffe (1.7.3-1) unstable; urgency=medium

  * [d90c38b] New upstream version 1.7.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Apr 2025 09:26:09 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
  git <!nocheck>,
  python3-all,
 Build-Depends-Indep:
- mkdocstrings <!nocheck>,
+ mkdocstrings (>= 0.28) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-colorama <!nocheck>,
  python3-jsonschema <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-griffe
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-griffe.git
 Homepage: https://github.com/mkdocstrings/griffe

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/mkdocstrings/griffe.git \

## python-griffe 1.14.0

=== debian/changelog ===
python-griffe (1.14.0-1) unstable; urgency=medium

  * [2468aca] d/watch: Convert to version 5
  * [468e4f5] New upstream version 1.14.0
  * [6688057] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [b6a5eed] d/control: B-D on mkdocstrings >= 0.29
  * [5f64359] d/rules: Ignore tests/test_api.py from test suite
  * [9caeb56] autopktest: Ignore tests/test_api.py here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Sep 2025 18:02:41 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,12 @@
  git <!nocheck>,
  python3-all,
 Build-Depends-Indep:
- mkdocstrings (>= 0.28) <!nocheck>,
+ mkdocstrings (>= 0.29) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-colorama <!nocheck>,
  python3-jsonschema <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-griffe
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-griffe.git

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,13 @@
 
 export PYBUILD_NAME=griffe
 export PYBUILD_SYSTEM=pyproject
-export PYBUILD_TEST_ARGS=-k '\
-not test_editables_file_handling \
-and not test_load_git \
-and not test_load_git_errors \
-and not test_meson_python_file_handling \
-'
+export PYBUILD_TEST_ARGS=\
+ --ignore tests/test_api.py \
+ -k 'not test_editables_file_handling \
+ and not test_load_git \
+ and not test_load_git_errors \
+ and not test_meson_python_file_handling \
+ '
 export PYBUILD_BEFORE_TEST=cp -r {dir}/logo.svg {dir}/docs {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/logo.svg {build_dir}/docs
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/griffe-*.dist-info/licenses

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
  upstream-tests
 Depends:
  git,
+ mkdocstrings,
  python3-all,
  python3-jsonschema,
  python3-pytest,

=== debian/watch ===
Version: 5

Source: https://github.com/mkdocstrings/griffe.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git

## python-griffe 1.15.0

=== debian/changelog ===
python-griffe (1.15.0-1) unstable; urgency=medium

  * [1f1c3a0] New upstream version 1.15.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Nov 2025 16:39:44 +0200
